#ifndef TYCHO_CATALOGUE_H
#define TYCHO_CATALOGUE_H

#include <stdint.h>
#include "QString"
#include "ui_mainwindow.h"


struct TYC2rec 
{
public:
	float		ra,de;	//en degres (d'angle) decimaux			4*2 =	 8 octets
    uint16_t	gscz;	//region GSC									 2 octets	
    uint16_t	gscn;	//numero de l'etoile dans la region GSC			 2 octets
    uint8_t		vt;		//										  	 	 1 octets 
  						//									total		13 octets
};


struct RegionTYC
{
	uint16_t	num_region;		//le numero de la ligne dans le fichier d'index" tyc2idx.dat"
	uint32_t	n_first_etoile;
	uint32_t	n_last_etoile;
};




long get_lst_Tyc2(QList<TYC2rec> *liste_etoiles_TYC, QList<RegionTYC> *Liste_regions, QString chemin_TYC, char cat);

int get_LSTreg_tyc2(float RA_min,float RA_max,float DE_min,float DE_max, QList<RegionTYC> *Liste_regions, QString chemin_TYC, char cat);

#endif

              